---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Button Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Button.html">Button</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classtgui_1_1Button-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Button Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classtgui_1_1Button.html" title="Button widget. ">Button</a> widget.  
 <a href="classtgui_1_1Button.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Button_8hpp_source.html">Button.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tgui::Button:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1Button.png" usemap="#tgui::Button_map" alt=""/>
  <map id="tgui::Button_map" name="tgui::Button_map">
<area href="classtgui_1_1ClickableWidget.html" title="Clickable widget. " alt="tgui::ClickableWidget" shape="rect" coords="372,112,610,136"/>
<area href="classtgui_1_1Widget.html" title="The parent class for every widget. " alt="tgui::Widget" shape="rect" coords="372,56,610,80"/>
<area href="classtgui_1_1Transformable.html" alt="tgui::Transformable" shape="rect" coords="248,0,486,24"/>
<area href="classtgui_1_1SignalWidgetBase.html" title="Base class for widgets to enable signal handling. " alt="tgui::SignalWidgetBase" shape="rect" coords="496,0,734,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a50f5464cad267b298d16014d027a1eda"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50f5464cad267b298d16014d027a1eda"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1Button.html">Button</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Ptr</a></td></tr>
<tr class="memdesc:a50f5464cad267b298d16014d027a1eda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:a50f5464cad267b298d16014d027a1eda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae72008038486af8424f691d2cd572c66"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae72008038486af8424f691d2cd572c66"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1Button.html">Button</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#ae72008038486af8424f691d2cd572c66">ConstPtr</a></td></tr>
<tr class="memdesc:ae72008038486af8424f691d2cd572c66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:ae72008038486af8424f691d2cd572c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classtgui_1_1ClickableWidget"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classtgui_1_1ClickableWidget')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classtgui_1_1ClickableWidget.html">tgui::ClickableWidget</a></td></tr>
<tr class="memitem:a6ac85e9df673fe1f4c012ad21199b6b0 inherit pub_types_classtgui_1_1ClickableWidget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ac85e9df673fe1f4c012ad21199b6b0"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1ClickableWidget.html">ClickableWidget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ClickableWidget.html#a6ac85e9df673fe1f4c012ad21199b6b0">Ptr</a></td></tr>
<tr class="memdesc:a6ac85e9df673fe1f4c012ad21199b6b0 inherit pub_types_classtgui_1_1ClickableWidget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:a6ac85e9df673fe1f4c012ad21199b6b0 inherit pub_types_classtgui_1_1ClickableWidget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec51a79d5e43d6f90fee0e6aed43b46e inherit pub_types_classtgui_1_1ClickableWidget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec51a79d5e43d6f90fee0e6aed43b46e"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1ClickableWidget.html">ClickableWidget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ClickableWidget.html#aec51a79d5e43d6f90fee0e6aed43b46e">ConstPtr</a></td></tr>
<tr class="memdesc:aec51a79d5e43d6f90fee0e6aed43b46e inherit pub_types_classtgui_1_1ClickableWidget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:aec51a79d5e43d6f90fee0e6aed43b46e inherit pub_types_classtgui_1_1ClickableWidget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a388912f13898735531886bc676b14f81"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Ptr</a></td></tr>
<tr class="memdesc:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeaa9564fad89042e53af59e7a0063b1f"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aeaa9564fad89042e53af59e7a0063b1f">ConstPtr</a></td></tr>
<tr class="memdesc:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a038280d5abe6693dbde9b7d4cae39d82"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a038280d5abe6693dbde9b7d4cae39d82">getRenderer</a> () const </td></tr>
<tr class="memdesc:a038280d5abe6693dbde9b7d4cae39d82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer, which gives access to functions that determine how the widget is displayed.  <a href="#a038280d5abe6693dbde9b7d4cae39d82">More...</a><br /></td></tr>
<tr class="separator:a038280d5abe6693dbde9b7d4cae39d82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada790fc10403717184773792242379b1"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#ada790fc10403717184773792242379b1">setPosition</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;position) override</td></tr>
<tr class="memdesc:ada790fc10403717184773792242379b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the position of the widget.  <a href="#ada790fc10403717184773792242379b1">More...</a><br /></td></tr>
<tr class="separator:ada790fc10403717184773792242379b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29164fc0555e584cda9724ae6085f36b"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a29164fc0555e584cda9724ae6085f36b">setSize</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;size) override</td></tr>
<tr class="memdesc:a29164fc0555e584cda9724ae6085f36b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the button.  <a href="#a29164fc0555e584cda9724ae6085f36b">More...</a><br /></td></tr>
<tr class="separator:a29164fc0555e584cda9724ae6085f36b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbfb1cc4279f6dfd78cf2ffb4dbd1201"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#abbfb1cc4279f6dfd78cf2ffb4dbd1201">getFullSize</a> () const  override</td></tr>
<tr class="memdesc:abbfb1cc4279f6dfd78cf2ffb4dbd1201"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the full size of the button.  <a href="#abbfb1cc4279f6dfd78cf2ffb4dbd1201">More...</a><br /></td></tr>
<tr class="separator:abbfb1cc4279f6dfd78cf2ffb4dbd1201"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b19fde26bd295fd8b4846240c415e76"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a2b19fde26bd295fd8b4846240c415e76">setFont</a> (const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;font) override</td></tr>
<tr class="memdesc:a2b19fde26bd295fd8b4846240c415e76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the font of the text in the widget.  <a href="#a2b19fde26bd295fd8b4846240c415e76">More...</a><br /></td></tr>
<tr class="separator:a2b19fde26bd295fd8b4846240c415e76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a795805fb4ade278b3cb3b4737add2b44"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a795805fb4ade278b3cb3b4737add2b44">setText</a> (const sf::String &amp;text)</td></tr>
<tr class="memdesc:a795805fb4ade278b3cb3b4737add2b44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the caption of the button.  <a href="#a795805fb4ade278b3cb3b4737add2b44">More...</a><br /></td></tr>
<tr class="separator:a795805fb4ade278b3cb3b4737add2b44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cc37478ec692e4a0ffe6c051926ce5c"><td class="memItemLeft" align="right" valign="top">const sf::String &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a8cc37478ec692e4a0ffe6c051926ce5c">getText</a> () const </td></tr>
<tr class="memdesc:a8cc37478ec692e4a0ffe6c051926ce5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the caption of the button.  <a href="#a8cc37478ec692e4a0ffe6c051926ce5c">More...</a><br /></td></tr>
<tr class="separator:a8cc37478ec692e4a0ffe6c051926ce5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a162b29d09ec523f4b46276edf47af241"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a162b29d09ec523f4b46276edf47af241">setTextSize</a> (unsigned int size)</td></tr>
<tr class="memdesc:a162b29d09ec523f4b46276edf47af241"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the character size of the text.  <a href="#a162b29d09ec523f4b46276edf47af241">More...</a><br /></td></tr>
<tr class="separator:a162b29d09ec523f4b46276edf47af241"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4516db738ccc40bca1822fa5ce0a826a"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a4516db738ccc40bca1822fa5ce0a826a">getTextSize</a> () const </td></tr>
<tr class="memdesc:a4516db738ccc40bca1822fa5ce0a826a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the character size of the text.  <a href="#a4516db738ccc40bca1822fa5ce0a826a">More...</a><br /></td></tr>
<tr class="separator:a4516db738ccc40bca1822fa5ce0a826a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1d353e149926bc9cdc69cb085e1af47"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#ad1d353e149926bc9cdc69cb085e1af47">setOpacity</a> (float opacity) override</td></tr>
<tr class="memdesc:ad1d353e149926bc9cdc69cb085e1af47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the opacity of the widget.  <a href="#ad1d353e149926bc9cdc69cb085e1af47">More...</a><br /></td></tr>
<tr class="separator:ad1d353e149926bc9cdc69cb085e1af47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afecb9256c0c56fcaf42c03df7ad21ca0"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#afecb9256c0c56fcaf42c03df7ad21ca0">getWidgetOffset</a> () const  override</td></tr>
<tr class="memdesc:afecb9256c0c56fcaf42c03df7ad21ca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the distance between the position where the widget is drawn and where the widget is placed.  <a href="#afecb9256c0c56fcaf42c03df7ad21ca0">More...</a><br /></td></tr>
<tr class="separator:afecb9256c0c56fcaf42c03df7ad21ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1ClickableWidget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1ClickableWidget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1ClickableWidget.html">tgui::ClickableWidget</a></td></tr>
<tr class="memitem:a03327a4fa4c63f94e97a4f4a7093a14b inherit pub_methods_classtgui_1_1ClickableWidget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ClickableWidget.html#a03327a4fa4c63f94e97a4f4a7093a14b">ClickableWidget</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;size={100, 100})</td></tr>
<tr class="memdesc:a03327a4fa4c63f94e97a4f4a7093a14b inherit pub_methods_classtgui_1_1ClickableWidget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#a03327a4fa4c63f94e97a4f4a7093a14b">More...</a><br /></td></tr>
<tr class="separator:a03327a4fa4c63f94e97a4f4a7093a14b inherit pub_methods_classtgui_1_1ClickableWidget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6992d49fedb123bb1e02abd5ede7b94 inherit pub_methods_classtgui_1_1ClickableWidget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ClickableWidget.html#ac6992d49fedb123bb1e02abd5ede7b94">ClickableWidget</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;width, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;height)</td></tr>
<tr class="memdesc:ac6992d49fedb123bb1e02abd5ede7b94 inherit pub_methods_classtgui_1_1ClickableWidget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac6992d49fedb123bb1e02abd5ede7b94">More...</a><br /></td></tr>
<tr class="separator:ac6992d49fedb123bb1e02abd5ede7b94 inherit pub_methods_classtgui_1_1ClickableWidget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60c5722d15d0733f6743bf57c86d1c6a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a60c5722d15d0733f6743bf57c86d1c6a">Widget</a> ()</td></tr>
<tr class="memdesc:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a662b5e56609f23b2bbff81cbaa5787e2">Widget</a> (const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;copy)</td></tr>
<tr class="memdesc:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a662b5e56609f23b2bbff81cbaa5787e2">More...</a><br /></td></tr>
<tr class="separator:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af34221ef4742371e8f7e2c40a8881404"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af34221ef4742371e8f7e2c40a8881404">~Widget</a> ()</td></tr>
<tr class="memdesc:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a97362423551dca5b90e86fc63ddc3eca">operator=</a> (const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;right)</td></tr>
<tr class="memdesc:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a97362423551dca5b90e86fc63ddc3eca">More...</a><br /></td></tr>
<tr class="separator:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a6d296b4082518366caeb0d3101d0320f">getRenderer</a> () const </td></tr>
<tr class="memdesc:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer, which gives access to functions that determine how the widget is displayed.  <a href="#a6d296b4082518366caeb0d3101d0320f">More...</a><br /></td></tr>
<tr class="separator:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a59112dbb748fa92647ef86b823c227f1">getAbsolutePosition</a> () const </td></tr>
<tr class="memdesc:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the absolute position of the widget instead of the relative position to its parent.  <a href="#a59112dbb748fa92647ef86b823c227f1">More...</a><br /></td></tr>
<tr class="separator:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ae3881afdad82cf8c2bd12f36238c04fe">show</a> ()</td></tr>
<tr class="memdesc:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the widget.  <a href="#ae3881afdad82cf8c2bd12f36238c04fe">More...</a><br /></td></tr>
<tr class="separator:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a71432e6c38c2110991cd3856cf74670b">showWithEffect</a> (<a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a> type, sf::Time duration)</td></tr>
<tr class="memdesc:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the widget by introducing it with an animation.  <a href="#a71432e6c38c2110991cd3856cf74670b">More...</a><br /></td></tr>
<tr class="separator:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a4234b30173259e7b5082a58a9f0e2ca6">hide</a> ()</td></tr>
<tr class="memdesc:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the widget.  <a href="#a4234b30173259e7b5082a58a9f0e2ca6">More...</a><br /></td></tr>
<tr class="separator:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a9bcb2d85d7e449ef7305771256ec79bf">hideWithEffect</a> (<a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a> type, sf::Time duration)</td></tr>
<tr class="memdesc:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the widget by making it leave with an animation.  <a href="#a9bcb2d85d7e449ef7305771256ec79bf">More...</a><br /></td></tr>
<tr class="separator:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ac30d0e386c262c5e830fdcc994584993">isVisible</a> () const </td></tr>
<tr class="memdesc:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is visible.  <a href="#ac30d0e386c262c5e830fdcc994584993">More...</a><br /></td></tr>
<tr class="separator:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a8f4ded5b008224a33623171ad2558168">enable</a> ()</td></tr>
<tr class="memdesc:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the widget.  <a href="#a8f4ded5b008224a33623171ad2558168">More...</a><br /></td></tr>
<tr class="separator:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a41615622bd4eb42fee629dd408bce7d4">disable</a> (bool blockMouseEvents=true)</td></tr>
<tr class="memdesc:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the widget.  <a href="#a41615622bd4eb42fee629dd408bce7d4">More...</a><br /></td></tr>
<tr class="separator:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af6770fc71c644b645bf28f31c4efd2d1">isEnabled</a> () const </td></tr>
<tr class="memdesc:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is enabled.  <a href="#af6770fc71c644b645bf28f31c4efd2d1">More...</a><br /></td></tr>
<tr class="separator:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a826330401141b9946307a5f4e3d1e988">focus</a> ()</td></tr>
<tr class="memdesc:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focus the widget.  <a href="#a826330401141b9946307a5f4e3d1e988">More...</a><br /></td></tr>
<tr class="separator:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#afc53e1f70feeeb498c042d7d741528c9">unfocus</a> ()</td></tr>
<tr class="memdesc:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unfocus the widget.  <a href="#afc53e1f70feeeb498c042d7d741528c9">More...</a><br /></td></tr>
<tr class="separator:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af9a2f1246195375dea450655b23cdf6d">isFocused</a> () const </td></tr>
<tr class="memdesc:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is focused and false otherwise.  <a href="#af9a2f1246195375dea450655b23cdf6d">More...</a><br /></td></tr>
<tr class="separator:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a52f98861e54bde43ccab0abe5733bfff">getWidgetType</a> () const </td></tr>
<tr class="memdesc:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of the widget.  <a href="#a52f98861e54bde43ccab0abe5733bfff">More...</a><br /></td></tr>
<tr class="separator:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Container.html">Container</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0cf4e57ff28230753afe8197e8945a3a">getParent</a> () const </td></tr>
<tr class="memdesc:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the parent widget.  <a href="#a0cf4e57ff28230753afe8197e8945a3a">More...</a><br /></td></tr>
<tr class="separator:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a7ab7b54eb87d1c7b28ad36fa5a8281ec">getOpacity</a> () const </td></tr>
<tr class="memdesc:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the opacity of the widget.  <a href="#a7ab7b54eb87d1c7b28ad36fa5a8281ec">More...</a><br /></td></tr>
<tr class="separator:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98fd0f08b45e3e54b9054965060136dd"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a98fd0f08b45e3e54b9054965060136dd">moveToFront</a> ()</td></tr>
<tr class="memdesc:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places the widget before all other widgets. <br /></td></tr>
<tr class="separator:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15e7d3570551c72d9a4d9534ac7a7f19"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a15e7d3570551c72d9a4d9534ac7a7f19">moveToBack</a> ()</td></tr>
<tr class="memdesc:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places the widget behind all other widgets. <br /></td></tr>
<tr class="separator:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ae4f30ef364bf7594ec209688a9b43ec5">setToolTip</a> (<a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> toolTip)</td></tr>
<tr class="memdesc:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the tool tip that should be displayed when hovering over the widget.  <a href="#ae4f30ef364bf7594ec209688a9b43ec5">More...</a><br /></td></tr>
<tr class="separator:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0e6e54fbaba931d0bb8eb0404e2e1c22">getToolTip</a> ()</td></tr>
<tr class="memdesc:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the tool tip that is displayed when hovering over the widget.  <a href="#a0e6e54fbaba931d0bb8eb0404e2e1c22">More...</a><br /></td></tr>
<tr class="separator:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; sf::Font &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aec2d0dec0156536b93216797de49b497">getFont</a> () const </td></tr>
<tr class="memdesc:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the font associated with the widget (if any)  <a href="#aec2d0dec0156536b93216797de49b497">More...</a><br /></td></tr>
<tr class="separator:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a62bbecb4ba75342b22786502e5383ac5">detachTheme</a> ()</td></tr>
<tr class="memdesc:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detach the theme from the widget.  <a href="#a62bbecb4ba75342b22786502e5383ac5">More...</a><br /></td></tr>
<tr class="separator:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ab5bb8483e23d877c386d632ca7ca2879">getTheme</a> () const </td></tr>
<tr class="memdesc:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the theme to which the widget is currently connected.  <a href="#ab5bb8483e23d877c386d632ca7ca2879">More...</a><br /></td></tr>
<tr class="separator:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aa32ce148343fd2a0f59d6dbcc3028883">getPrimaryLoadingParameter</a> () const </td></tr>
<tr class="memdesc:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the primary parameter that was passed to the loader to load this widget.  <a href="#aa32ce148343fd2a0f59d6dbcc3028883">More...</a><br /></td></tr>
<tr class="separator:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a97e7325f223c7c49105b3b859542b652">getSecondaryLoadingParameter</a> () const </td></tr>
<tr class="memdesc:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the secondary parameter that was passed to the loader to load this widget.  <a href="#a97e7325f223c7c49105b3b859542b652">More...</a><br /></td></tr>
<tr class="separator:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1Transformable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1Transformable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td></tr>
<tr class="memitem:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98900d9b8ec4166e5127532bfbd5cc59"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a98900d9b8ec4166e5127532bfbd5cc59">~Transformable</a> ()</td></tr>
<tr class="memdesc:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a9e34aa4c19ae95ed71052c6409d8fbcc">setPosition</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the position of the widget  <a href="#a9e34aa4c19ae95ed71052c6409d8fbcc">More...</a><br /></td></tr>
<tr class="separator:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc">getPosition</a> () const </td></tr>
<tr class="memdesc:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the position of the widget  <a href="#a2429a2ff2f3f83b702f20b4a8a0257dc">More...</a><br /></td></tr>
<tr class="separator:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b">move</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;offset)</td></tr>
<tr class="memdesc:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#aff5580e6c49ade969ba71ea1c1330d2b">More...</a><br /></td></tr>
<tr class="separator:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a792b77e86e9550b0b2c5912d4d7cebe5">move</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#a792b77e86e9550b0b2c5912d4d7cebe5">More...</a><br /></td></tr>
<tr class="separator:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a3bae3322ba22993ca9eacad060e3215c">setSize</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;width, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;height)</td></tr>
<tr class="memdesc:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the widget.  <a href="#a3bae3322ba22993ca9eacad060e3215c">More...</a><br /></td></tr>
<tr class="separator:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a> () const </td></tr>
<tr class="memdesc:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the widget.  <a href="#ac57d81556fbdbcf0d206b60ec835f3f4">More...</a><br /></td></tr>
<tr class="separator:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a15575698ad5b40c34bc8c945244ec4d8">scale</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;factors)</td></tr>
<tr class="memdesc:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a15575698ad5b40c34bc8c945244ec4d8">More...</a><br /></td></tr>
<tr class="separator:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a074f2ed8b35ede928678339b8f708b1c">scale</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a074f2ed8b35ede928678339b8f708b1c">More...</a><br /></td></tr>
<tr class="separator:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1SignalWidgetBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1SignalWidgetBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td></tr>
<tr class="memitem:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac37f925b9c8d2912db40050e59cb1bc8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#ac37f925b9c8d2912db40050e59cb1bc8">SignalWidgetBase</a> ()=default</td></tr>
<tr class="memdesc:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a57a9f27b40ff6f51583a64333c83405d">SignalWidgetBase</a> (const <a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;copy)</td></tr>
<tr class="memdesc:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a57a9f27b40ff6f51583a64333c83405d">More...</a><br /></td></tr>
<tr class="separator:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a657777a2240d69c4be0cf52c977bea0f">operator=</a> (const <a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;right)</td></tr>
<tr class="memdesc:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a657777a2240d69c4be0cf52c977bea0f">More...</a><br /></td></tr>
<tr class="separator:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename... Args&gt; </td></tr>
<tr class="memitem:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a3a310a997fdfb38e38688a6086832a95">connect</a> (const std::string &amp;signalNames, Func func, Args...args)</td></tr>
<tr class="memdesc:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connects a signal handler function to one or more signals.  <a href="#a3a310a997fdfb38e38688a6086832a95">More...</a><br /></td></tr>
<tr class="separator:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename... Args&gt; </td></tr>
<tr class="memitem:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9b0187cd74457415140526ba788504d1">connectEx</a> (const std::string &amp;signalName, Func func, Args...args)</td></tr>
<tr class="memdesc:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connects a signal handler function to one or more signals.  <a href="#a9b0187cd74457415140526ba788504d1">More...</a><br /></td></tr>
<tr class="separator:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9e13634d49560b2941ebdd2a934b6a16">disconnect</a> (unsigned int id)</td></tr>
<tr class="memdesc:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnects a connection.  <a href="#a9e13634d49560b2941ebdd2a934b6a16">More...</a><br /></td></tr>
<tr class="separator:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a262641681a20ba2c42b9879faf60f857">disconnectAll</a> (const std::string &amp;signalName)</td></tr>
<tr class="memdesc:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnect all connections from a certain signal.  <a href="#a262641681a20ba2c42b9879faf60f857">More...</a><br /></td></tr>
<tr class="separator:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee50efdbdbbc1be9418dfbc1549ee4f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#aee50efdbdbbc1be9418dfbc1549ee4f2">disconnectAll</a> ()</td></tr>
<tr class="memdesc:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnect all connections from a all signals. <br /></td></tr>
<tr class="separator:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aebf56b74c11c8f756c2c683575af49ad"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#aebf56b74c11c8f756c2c683575af49ad">create</a> (sf::String text=&quot;&quot;)</td></tr>
<tr class="memdesc:aebf56b74c11c8f756c2c683575af49ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new button widget.  <a href="#aebf56b74c11c8f756c2c683575af49ad">More...</a><br /></td></tr>
<tr class="separator:aebf56b74c11c8f756c2c683575af49ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe46f8e89d5a794abc68ec036dabdd2c"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#afe46f8e89d5a794abc68ec036dabdd2c">copy</a> (<a class="el" href="classtgui_1_1Button.html#ae72008038486af8424f691d2cd572c66">Button::ConstPtr</a> button)</td></tr>
<tr class="memdesc:afe46f8e89d5a794abc68ec036dabdd2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a copy of another button.  <a href="#afe46f8e89d5a794abc68ec036dabdd2c">More...</a><br /></td></tr>
<tr class="separator:afe46f8e89d5a794abc68ec036dabdd2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classtgui_1_1ClickableWidget"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classtgui_1_1ClickableWidget')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classtgui_1_1ClickableWidget.html">tgui::ClickableWidget</a></td></tr>
<tr class="memitem:a9922a74b12100ce3e816af4b2a714842 inherit pub_static_methods_classtgui_1_1ClickableWidget"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classtgui_1_1ClickableWidget.html#a6ac85e9df673fe1f4c012ad21199b6b0">ClickableWidget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ClickableWidget.html#a9922a74b12100ce3e816af4b2a714842">create</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> size={100, 100})</td></tr>
<tr class="memdesc:a9922a74b12100ce3e816af4b2a714842 inherit pub_static_methods_classtgui_1_1ClickableWidget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new clickable widget.  <a href="#a9922a74b12100ce3e816af4b2a714842">More...</a><br /></td></tr>
<tr class="separator:a9922a74b12100ce3e816af4b2a714842 inherit pub_static_methods_classtgui_1_1ClickableWidget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf51f403be363152eb0147acbaee9b2a inherit pub_static_methods_classtgui_1_1ClickableWidget"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classtgui_1_1ClickableWidget.html#a6ac85e9df673fe1f4c012ad21199b6b0">ClickableWidget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ClickableWidget.html#acf51f403be363152eb0147acbaee9b2a">copy</a> (<a class="el" href="classtgui_1_1ClickableWidget.html#aec51a79d5e43d6f90fee0e6aed43b46e">ClickableWidget::ConstPtr</a> widget)</td></tr>
<tr class="memdesc:acf51f403be363152eb0147acbaee9b2a inherit pub_static_methods_classtgui_1_1ClickableWidget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a copy of another clickable widget.  <a href="#acf51f403be363152eb0147acbaee9b2a">More...</a><br /></td></tr>
<tr class="separator:acf51f403be363152eb0147acbaee9b2a inherit pub_static_methods_classtgui_1_1ClickableWidget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a1c78e51263f1f10b47ee8ba0121e49b0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a1c78e51263f1f10b47ee8ba0121e49b0">reload</a> (const std::string &amp;primary=&quot;&quot;, const std::string &amp;secondary=&quot;&quot;, bool force=false) override</td></tr>
<tr class="memdesc:a1c78e51263f1f10b47ee8ba0121e49b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reload the widget.  <a href="#a1c78e51263f1f10b47ee8ba0121e49b0">More...</a><br /></td></tr>
<tr class="separator:a1c78e51263f1f10b47ee8ba0121e49b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dbb4b4bfd4c9536a031a3ef1a137d8d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html#a7dbb4b4bfd4c9536a031a3ef1a137d8d">clone</a> () const  override</td></tr>
<tr class="memdesc:a7dbb4b4bfd4c9536a031a3ef1a137d8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a copy of the widget if you don't know its exact type.  <a href="#a7dbb4b4bfd4c9536a031a3ef1a137d8d">More...</a><br /></td></tr>
<tr class="separator:a7dbb4b4bfd4c9536a031a3ef1a137d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a05545f21decd950ac0bfee2d9b26e9e2">attachTheme</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt; theme)</td></tr>
<tr class="memdesc:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attach a theme to the widget.  <a href="#a05545f21decd950ac0bfee2d9b26e9e2">More...</a><br /></td></tr>
<tr class="separator:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classtgui_1_1Button.html" title="Button widget. ">Button</a> widget. </p>
<p>Signals:</p><ul>
<li>Pressed (the button was pressed)<ul>
<li>Optional parameter sf::String: Caption of the button</li>
<li>Uses <a class="el" href="structtgui_1_1Callback.html">Callback</a> member 'text'</li>
</ul>
</li>
<li>Inherited signals from <a class="el" href="classtgui_1_1ClickableWidget.html" title="Clickable widget. ">ClickableWidget</a> </li>
</ul>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a7dbb4b4bfd4c9536a031a3ef1a137d8d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> tgui::Button::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Makes a copy of the widget if you don't know its exact type. </p>
<p>This function should only be used when you don't know the type of the widget. If you know what kind of widget you are copying, you should use the copy function.</p>
<dl class="section return"><dt>Returns</dt><dd>Copy of the widget </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1ClickableWidget.html#a49337a4540e76b45dec7695c7176ad65">tgui::ClickableWidget</a>.</p>

</div>
</div>
<a class="anchor" id="afe46f8e89d5a794abc68ec036dabdd2c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> tgui::Button::copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Button.html#ae72008038486af8424f691d2cd572c66">Button::ConstPtr</a>&#160;</td>
          <td class="paramname"><em>button</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Makes a copy of another button. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">button</td><td>The other button</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The new button </dd></dl>

</div>
</div>
<a class="anchor" id="aebf56b74c11c8f756c2c683575af49ad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> tgui::Button::create </td>
          <td>(</td>
          <td class="paramtype">sf::String&#160;</td>
          <td class="paramname"><em>text</em> = <code>&quot;&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new button widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">text</td><td>The text to display on the button</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The new button </dd></dl>

</div>
</div>
<a class="anchor" id="abbfb1cc4279f6dfd78cf2ffb4dbd1201"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual sf::Vector2f tgui::Button::getFullSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the full size of the button. </p>
<p>The size returned by this function includes the borders.</p>
<dl class="section return"><dt>Returns</dt><dd>Full size of the button </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Transformable.html#a4f11a7e9d86943a5cc8114b2431c1570">tgui::Transformable</a>.</p>

</div>
</div>
<a class="anchor" id="a038280d5abe6693dbde9b7d4cae39d82"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a>&gt; tgui::Button::getRenderer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the renderer, which gives access to functions that determine how the widget is displayed. </p>
<dl class="section return"><dt>Returns</dt><dd>Reference to the renderer </dd></dl>

</div>
</div>
<a class="anchor" id="a8cc37478ec692e4a0ffe6c051926ce5c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const sf::String&amp; tgui::Button::getText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the caption of the button. </p>
<dl class="section return"><dt>Returns</dt><dd>Text that is drawn on top of the button. </dd></dl>

</div>
</div>
<a class="anchor" id="a4516db738ccc40bca1822fa5ce0a826a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int tgui::Button::getTextSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the character size of the text. </p>
<dl class="section return"><dt>Returns</dt><dd>The current text size. </dd></dl>

</div>
</div>
<a class="anchor" id="afecb9256c0c56fcaf42c03df7ad21ca0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual sf::Vector2f tgui::Button::getWidgetOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the distance between the position where the widget is drawn and where the widget is placed. </p>
<p>This is basically the width and height of the optional borders drawn around widgets.</p>
<dl class="section return"><dt>Returns</dt><dd>Offset of the widget </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#a569db174bec35957e0150f14b25a6423">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a1c78e51263f1f10b47ee8ba0121e49b0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Button::reload </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>primary</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>secondary</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>force</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reload the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">primary</td><td>Primary parameter for the loader </td></tr>
    <tr><td class="paramname">secondary</td><td>Secondary parameter for the loader </td></tr>
    <tr><td class="paramname">force</td><td>Try to only change the looks of the widget and not alter the widget itself when false</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when the connected theme could not create the widget</td></tr>
  </table>
  </dd>
</dl>
<p>When primary is an empty string the built-in white theme will be used. </p>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#a60f67dd2a04f761a47207e42a8f7910b">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a2b19fde26bd295fd8b4846240c415e76"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Button::setFont </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the font of the text in the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td>The new font.</td></tr>
  </table>
  </dd>
</dl>
<p>When you don't call this function then the font from the parent widget will be used. </p>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#a0b814d5ba9c02a9448fa0d0810bcfeba">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="ad1d353e149926bc9cdc69cb085e1af47"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Button::setOpacity </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>opacity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the opacity of the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">opacity</td><td>The opacity of the widget. 0 means completely transparent, while 1 (default) means fully opaque. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#abc86b091f871010533312fe77cbc2f78">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="ada790fc10403717184773792242379b1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Button::setPosition </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the position of the widget. </p>
<p>This function completely overwrites the previous position. See the move function to apply an offset based on the previous position instead. The default position of a transformable widget is (0, 0).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>New position</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b" title="Move the widget by a given offset. ">move</a>, <a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc" title="get the position of the widget ">getPosition</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#a299706f20b12cbe65422c6e53493e12d">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a29164fc0555e584cda9724ae6085f36b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Button::setSize </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the button. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>The new size of the button </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#aa780b3b9e657ea6b3acecd2045593cca">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a795805fb4ade278b3cb3b4737add2b44"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Button::setText </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the caption of the button. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">text</td><td>New text to draw on top of the button. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a162b29d09ec523f4b46276edf47af241"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Button::setTextSize </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the character size of the text. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>The new text size. If the size is set to 0 then the text will be auto-sized to fit inside the button. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="Button_8hpp_source.html">Button.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:42 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
